From 60dc9d5fdc745b66d92a231e8be6384c7541b07f Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sat, 1 Feb 2025 09:07:26 +0000
Subject: [PATCH] ed: upgrade 1.20.2 -> 1.21

---
 .../ed/{ed_1.20.2.bb => ed_1.21.bb}           | 57 +++++++++++++++++--
 1 file changed, 53 insertions(+), 4 deletions(-)
 rename meta/recipes-extended/ed/{ed_1.20.2.bb => ed_1.21.bb} (31%)

diff --git a/meta/recipes-extended/ed/ed_1.20.2.bb b/meta/recipes-extended/ed/ed_1.21.bb
similarity index 31%
rename from meta/recipes-extended/ed/ed_1.20.2.bb
rename to meta/recipes-extended/ed/ed_1.21.bb
index 2b78b080ba..6b5fa7af19 100644
--- a/meta/recipes-extended/ed/ed_1.20.2.bb
+++ b/meta/recipes-extended/ed/ed_1.21.bb
@@ -1,11 +1,60 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- COPYING
+# +++ COPYING
+# @@ -1,8 +1,7 @@
+#                      GNU GENERAL PUBLIC LICENSE
+#                         Version 2, June 1991
+#  
+# - Copyright (C) 1989, 1991 Free Software Foundation, Inc.,
+# - 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+# + Copyright (C) 1989, 1991 Free Software Foundation, Inc. <http://fsf.org/>
+#   Everyone is permitted to copy and distribute verbatim copies
+#   of this license document, but changing it is not allowed.
+#  
+# --- ed.h
+# +++ ed.h
+# @@ -1,7 +1,7 @@
+#  /* Global declarations for the ed editor.  */
+#  /* GNU ed - The GNU line editor.
+#     Copyright (C) 1993, 1994 Andrew L. Moore, Talke Studio
+# -   Copyright (C) 2006-2024 Antonio Diaz Diaz.
+# +   Copyright (C) 2006-2025 Antonio Diaz Diaz.
+#  
+#     This program is free software: you can redistribute it and/or modify
+#     it under the terms of the GNU General Public License as published by
+# @@ -17,4 +17,4 @@
+#     along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#  */
+#  
+# -#ifndef __cplusplus
+# +#include <stdbool.h>
+# --- main.c
+# +++ main.c
+# @@ -1,5 +1,5 @@
+#  /* GNU ed - The GNU line editor.
+# -   Copyright (C) 2006-2024 Antonio Diaz Diaz.
+# +   Copyright (C) 2006-2025 Antonio Diaz Diaz.
+#  
+#     This program is free software: you can redistribute it and/or modify
+#     it under the terms of the GNU General Public License as published by
+# 
+#
+
 SUMMARY = "Line-oriented text editor"
 HOMEPAGE = "http://www.gnu.org/software/ed/"
 DESCRIPTION = "GNU ed is a line-oriented text editor. It is used to create, display, modify and otherwise manipulate text files, both interactively and via shell scripts. A restricted version of ed, red, can only edit files in the current directory and cannot execute shell commands."
 
 LICENSE = "GPL-2.0-only"
-LIC_FILES_CHKSUM = "file://COPYING;md5=76d6e300ffd8fb9d18bd9b136a9bba13 \
-                    file://ed.h;endline=20;md5=c3212b6c53b09668107420af9368c0ef \
-                    file://main.c;endline=17;md5=e5d2ae5ddd1ecb87dc71702c06dd06dc \
+LIC_FILES_CHKSUM = "file://COPYING;md5=cca7f74ec83b7a9ce7ccd195aad471bd \
+                    file://ed.h;endline=20;md5=a24e7f91c0fb83e65a746f5994762a49 \
+                    file://main.c;endline=17;md5=fd6ad9f1853f123f4ae7a31d59761f09 \
                     "
 
 SECTION = "base"
@@ -19,7 +68,7 @@ bindir = "${base_bindir}"
 SRC_URI = "${GNU_MIRROR}/ed/${BP}.tar.lz"
 UPSTREAM_CHECK_URI = "${GNU_MIRROR}/ed/"
 
-SRC_URI[sha256sum] = "65fec7318f48c2ca17f334ac0f4703defe62037bb13cc23920de077b5fa24523"
+SRC_URI[sha256sum] = "60e24998727d453a5cf02c54664b97536de46a2b34cd1f4f67c1c1a61bbbad75"
 
 EXTRA_OEMAKE = "-e MAKEFLAGS="
 
-- 
2.44.1

